%global pkgvers 0
%global scdate0 20250214
%global schash0 834ea9758690c0a2d7f8480a27b63a664b077dbd
%global branch0 develop
%global source0 https://github.com/rockchip-linux/mpp.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           libmpp-rockchip
Version:        1.0.8
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Media Process Platform (MPP) module
License:        MIT
URL:            https://github.com/rockchip-linux/mpp

BuildRequires:  git cmake gcc-c++

%global __cmake_in_source_build 1
%global _default_patch_fuzz 100

%description
Media Process Platform (MPP) module

%package        static
Summary:        Static libraries for Media Process Platform (MPP) module
Requires:       %{name} = %{version}-%{release}

%description    static
Static libraries for Media Process Platform (MPP) module

%package        devel
Summary:        Headers for Media Process Platform (MPP) module
Requires:       %{name} = %{version}-%{release}
Requires:       %{name}-static = %{version}-%{release}

%description    devel
Headers for Media Process Platform (MPP) module



%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%cmake . \
      -DCMAKE_SKIP_RPATH=YES \
      -DCMAKE_SKIP_INSTALL_RPATH=YES \
      -DCMAKE_VERBOSE_MAKEFILE=OFF \
      -DCMAKE_BUILD_TYPE=RelWithDebInfo
make %{?_smp_mflags}


%install
%make_install


%files
%{_bindir}/*
%license LICENSES/*
%doc CHANGELOG.md
%{_libdir}/lib*.so.*

%files devel
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files static
%{_libdir}/lib*.a


%changelog
* Sun Jan 19 2025 Cristian Balint <cristian.balint@gmail.com>
- upstream git relases
